[Marble-devel] Review Request: FlightGear position provider without nmea library dependency

Dennis Nienhüser earthwings at gentoo.org
Sat May 12 12:11:52 UTC 2012

This is an automatically generated e-mail. To reply, visit:

(Updated May 12, 2012, 12:11 p.m.)

Review request for Marble and Ralf Habacker.


Provides timestamp now and handles feet unit.


I'd like to have Linux distributions ship Marble with the flightgear position provider plugin. Currently that's unlikely to happen as the major distributions do not package the nmea library used by the plugin. I looked into replacing the dependency with gpsd/libgps, but unfortunately the sparse set of methods libgps provides only allows to parse json data or handle the communication via a socket.

The nmea format is quite simple however and flightgear only uses a small subset of it -- two of the sentences used are relevant to us. Therefore it's not too complicated to write our own parser without an additional dependency.

Diffs (updated)

  Findnmealib.cmake 7f14058 
  src/plugins/positionprovider/CMakeLists.txt d3cfc3d 
  src/plugins/positionprovider/flightgear/FlightGearPositionProviderPlugin.h c7c7dac 
  src/plugins/positionprovider/flightgear/FlightGearPositionProviderPlugin.cpp af0eb9a 

Diff: http://git.reviewboard.kde.org/r/104922/diff/


FlightGear version 2.4.0 on Linux, started with
fgfs --nmea=socket,out,5,localhost,5500,udp


Dennis Nienhüser

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.kde.org/pipermail/marble-devel/attachments/20120512/0adbc5df/attachment.html>

More information about the Marble-devel mailing list